package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 获取退款单详情请求
 * @Author: ph
 * @Date: 2019/10/24 15:39
 */
public class GetRefundDetailRequest implements Serializable {

    private static final long serialVersionUID = 5256355847651557665L;

    @ApiModelProperty(value = "退款单号", example = "TK001")
    private String refundNo;

    @ApiModelProperty(value = "订单号", example = "DA001")
    private String orderNo;

    @ApiModelProperty(value = "商家id", example = "10155")
    private Long sellerId;

    @ApiModelProperty(value = "来源单号", example = "LY001")
    private String sourceNo;

    public String getSourceNo() {
        return sourceNo;
    }

    public void setSourceNo(String sourceNo) {
        this.sourceNo = sourceNo;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getRefundNo() {
        return refundNo;
    }

    public void setRefundNo(String refundNo) {
        this.refundNo = refundNo;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
